type Test
{
	u32 Number
}

type Texture
{
	u32 Width
	u32 Height
	str StrTest     Arr(3)
	Test T
}

enum KnownType(u8)
{
	i8     CName("int8_t")
	i16    CName("int16_t")
	i32    CName("int32_t")
	i64    CName("int64_t")
	u8     CName("uint8_t")
	u16    CName("uint16_t")
	u32    CName("uint32_t")
	u64    CName("uint64_t")
	b      CName("bool")
	f32    CName("float")
	f64    CName("double")
	str    CName("char")
}
